Commit 11272824 authored by Will Thompson's avatar Will Thompson

Set require-encryption for Facebook and Google Talk

Future versions of Gabble will do this too, but Empathy can make sure
it's set too.
parent b1c88e33
......@@ -602,6 +602,8 @@ empathy_protocol_chooser_create_account_settings (EmpathyProtocolChooser *self)
NULL, NULL);
empathy_account_settings_set_string (settings, "server",
extra_certificate_identities[0]);
empathy_account_settings_set_boolean (settings, "require-encryption",
TRUE);
empathy_account_settings_set_strv (settings, "fallback-servers",
fallback_servers);
......@@ -616,7 +618,8 @@ empathy_protocol_chooser_create_account_settings (EmpathyProtocolChooser *self)
{
empathy_account_settings_set_icon_name_async (settings, "im-facebook",
NULL, NULL);
empathy_account_settings_set_boolean (settings, "require-encryption",
TRUE);
empathy_account_settings_set_string (settings, "server",
"chat.facebook.com");
}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment